<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
     <link rel="stylesheet" th:href="@{/css/mycss.css}">
    <!-- Bootstrap CSS -->
    <script type="text/javascript" th:src="@{/js/actions.js}"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<title>Todo Tasks</title>
</head>
<body>
<h3 class="taskHead title">Todo App</h3>
<div class="grid-container">
<div class="mb-4">
<form action="#" th:action="@{/todo/submitTodo}" th:object="${todo}" method="POST" onsubmit="return validation()" >
<div class="form-group form-group-sm input-group-sm mt-4 mb-4 border rounded">
<nav class="navbar navbar-light bg-light">
  <span class="navbar-brand mb-0 h1 ml-5">Add Your Task</span>
</nav>
<label class="ml-2">Title</label>
<input id="title" class="form-control input-col ml-2" type="text" placeholder="Title" th:field="*{title}" /><br/>
<label class="ml-2">Description</label>
<input id="desc" class="form-control input-col ml-2" type="text" placeholder="Desciption" th:field="*{description}" /><br/>
<label class="ml-2">Target Date</label>
<input id="date" class="form-control  input-col ml-2" type="date"  th:field="*{doc}" /><br/>
<label class="ml-2">Priority</label>
<input id="priority" class="form-control input-col ml-2" type="text" placeholder="1-10" th:field="*{priority}" /><br/> 
<button class="sub btn btn-info" type="submit">Submit</button> 
<p id="error"></p>
</div>
</form>
</div>
 <div class="container w-75 tb">
 <table class="table table-bordered table-striped nobottom">
 <thead class="thead-dark">
 <tr>
 <th class="small"></th>
 <th class="w-25">Title</th>
 <th class="w-45">Description</th>
<th class="w-25">Target</th>
<th class="w-25">Action</th>
 </thead>
 </table>
 <div class="scrollit">
 <table class="table table-bordered table-striped">
 <tbody>
 <tr th:each="temp:${todolist}">
 <td class="small"><a th:href="@{/todo/update(todoId=${temp.id})}"><i class="fa fa-pencil" aria-hidden="true"></i></a></td>
 <td class="w-25" th:text="${temp.title}"></td>
 <td class="w-45" th:text="${temp.description}"></td>
 <td class="w-25" th:text="${#temporals.format(temp.doc,'dd-MMM-yyyy')}"></td>
 <td class="w-25">
 <form action="#" th:action="@{/todo/delete(todoId=${temp.id})}" method="POST">
 <button type="submit" class="btn btn-success btn-done" onclick="return confirm('Press OK only when you are done with this todo');">Done</button>
 </form>
 </td>
 </tr>
 </tbody>
 </table>
 </div>
</div>
<div class="week">
<p class="h5">Todo This Week</p>
<ul class="list-group " th:each="temp:${weektodo}">
<li class="list-group-item list-group-item-primary input-col" th:utext="${temp.title+'&lt;br /&gt;'+(temp.doc ne null?#temporals.format(temp.doc,'dd-MMM-yyyy'):'')}"></li>
 <!-- <li class="list-group-item list-group-item-primary" th:text="${#dates.format(temp.doc,'dd-MMM-yyyy')}"></li> -->
</ul>
</div> 
</div>
</body>
</html>